PdhMsg (JNA API)

com.sun.jna.platform.win32

## Interface PdhMsg

-     public interface PdhMsg

  PDH specific error codes
  Author:
    Lyor Goldstein
  See Also:
    Performance Data Helper Error Codes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PDH_ACCESS_DENIED` Unable to access the desired computer or service.
    `static int` | `PDH_ASYNC_QUERY_TIMEOUT` A time-out occurred while waiting for the asynchronous counter collection thread to end.
    `static int` | `PDH_BINARY_LOG_CORRUPT` Unable to read counter information and data from input binary log files.
    `static int` | `PDH_CALC_NEGATIVE_DENOMINATOR` A counter with a negative denominator value was detected.
    `static int` | `PDH_CALC_NEGATIVE_TIMEBASE` A counter with a negative time base value was detected.
    `static int` | `PDH_CALC_NEGATIVE_VALUE` A counter with a negative value was detected.
    `static int` | `PDH_CANNOT_CONNECT_MACHINE` Unable to connect to the requested computer.
    `static int` | `PDH_CANNOT_CONNECT_WMI_SERVER` Unable to connect to the WMI server on requested computer.
    `static int` | `PDH_CANNOT_READ_NAME_STRINGS` Unable to read the counter and/or help text from the specified computer.
    `static int` | `PDH_CANNOT_SET_DEFAULT_REALTIME_DATASOURCE` Cannot change set default real-time data source.
    `static int` | `PDH_COUNTER_ALREADY_IN_QUERY` Performance counter in PdhAddCounter call has already been added in the performance query.
    `static int` | `PDH_CSTATUS_BAD_COUNTERNAME` Unable to parse the counter path.
    `static int` | `PDH_CSTATUS_INVALID_DATA` The returned data is not valid.
    `static int` | `PDH_CSTATUS_ITEM_NOT_VALIDATED` The data item has been added to the query but has not been validated nor accessed.
    `static int` | `PDH_CSTATUS_NEW_DATA` Return data value is valid and different from the last sample.
    `static int` | `PDH_CSTATUS_NO_COUNTER` The specified counter could not be found.
    `static int` | `PDH_CSTATUS_NO_COUNTERNAME` No counter was specified.
    `static int` | `PDH_CSTATUS_NO_INSTANCE` The specified instance is not present.
    `static int` | `PDH_CSTATUS_NO_MACHINE` Unable to connect to the specified computer, or the computer is offline.
    `static int` | `PDH_CSTATUS_NO_OBJECT` The specified object is not found on the system.
    `static int` | `PDH_CSTATUS_VALID_DATA` Returned data is valid.
    `static int` | `PDH_DATA_SOURCE_IS_LOG_FILE` The specified data source is a log file.
    `static int` | `PDH_DATA_SOURCE_IS_REAL_TIME` The specified data source is the current activity.
    `static int` | `PDH_DIALOG_CANCELLED` The user canceled the dialog box.
    `static int` | `PDH_END_OF_LOG_FILE` The end of the log file was reached.
    `static int` | `PDH_ENTRY_NOT_IN_LOG_FILE` The specified record was not found in the log file.
    `static int` | `PDH_FILE_ALREADY_EXISTS` There is already a file with the specified file name.
    `static int` | `PDH_FILE_NOT_FOUND` Unable to find the specified file.
    `static int` | `PDH_FUNCTION_NOT_FOUND` Unable to find the specified function.
    `static int` | `PDH_INCORRECT_APPEND_TIME` The output file must contain earlier data than the file to be appended.
    `static int` | `PDH_INSUFFICIENT_BUFFER` The requested data is larger than the buffer supplied.
    `static int` | `PDH_INVALID_ARGUMENT` A required argument is missing or incorrect.
    `static int` | `PDH_INVALID_BUFFER` The buffer passed by the caller is not valid.
    `static int` | `PDH_INVALID_DATA` The data is not valid.
    `static int` | `PDH_INVALID_DATASOURCE` Cannot connect to ODBC DataSource Name.
    `static int` | `PDH_INVALID_HANDLE` The handle is not a valid PDH object.
    `static int` | `PDH_INVALID_INSTANCE` The instance name could not be read from the specified counter path.
    `static int` | `PDH_INVALID_PATH` The specified counter path could not be interpreted.
    `static int` | `PDH_INVALID_SQL_LOG_FORMAT` SQL log format is incorrect.
    `static int` | `PDH_INVALID_SQLDB` SQL Data base does not contain a valid set of tables for Perfmon.
    `static int` | `PDH_LOG_FILE_CREATE_ERROR` Unable to create the specified log file.
    `static int` | `PDH_LOG_FILE_OPEN_ERROR` Unable to open the specified log file.
    `static int` | `PDH_LOG_FILE_TOO_SMALL` The maximum log file size specified is too small to log the selected counters.
    `static int` | `PDH_LOG_SAMPLE_TOO_SMALL` At least one of the input binary log files contain fewer than two data samples.
    `static int` | `PDH_LOG_TYPE_NOT_FOUND` The specified log file type has not been installed on this system.
    `static int` | `PDH_LOGSVC_NOT_OPENED` The Performance Data Log Service key could not be opened.
    `static int` | `PDH_LOGSVC_QUERY_NOT_FOUND` The specified query from the Log Service could not be found or could not be opened.
    `static int` | `PDH_MEMORY_ALLOCATION_FAILURE` A PDH function could not allocate enough temporary memory to complete the operation.
    `static int` | `PDH_MORE_DATA` There is more data to return than would fit in the supplied buffer.
    `static int` | `PDH_NO_COUNTERS` No counters were found for this Perfmon SQL Log Set.
    `static int` | `PDH_NO_DATA` No data to return.
    `static int` | `PDH_NO_DIALOG_DATA` The dialog box data block was missing or not valid.
    `static int` | `PDH_NO_MORE_DATA` No more data is available.
    `static int` | `PDH_NOT_IMPLEMENTED` The function referenced has not been implemented.
    `static int` | `PDH_OS_EARLIER_VERSION` %1 supports %2 or later.
    `static int` | `PDH_OS_LATER_VERSION` The version of the operating system on the computer named %1 is later than that on the local computer.
    `static int` | `PDH_PLA_COLLECTION_ALREADY_RUNNING` Collection "%1!s!" is already running.
    `static int` | `PDH_PLA_COLLECTION_NOT_FOUND` Collection "%1!s!" does not exist.
    `static int` | `PDH_PLA_ERROR_ALREADY_EXISTS` Collection "%1!s!" already exists.
    `static int` | `PDH_PLA_ERROR_FILEPATH` The information specified does not resolve to a valid path name.
    `static int` | `PDH_PLA_ERROR_NAME_TOO_LONG` The name supplied is too long.
    `static int` | `PDH_PLA_ERROR_NOSTART` Collection "%1!s!" did not start; check the application event log for any errors.
    `static int` | `PDH_PLA_ERROR_SCHEDULE_ELAPSED` The specified end time has already elapsed.
    `static int` | `PDH_PLA_ERROR_SCHEDULE_OVERLAP` The specified start time is after the end time.
    `static int` | `PDH_PLA_ERROR_TYPE_MISMATCH` There is a mismatch in the settings type.
    `static int` | `PDH_PLA_SERVICE_ERROR` The "Performance Logs & Alerts" service did not respond.
    `static int` | `PDH_PLA_VALIDATION_ERROR` The information passed is not valid.
    `static int` | `PDH_PLA_VALIDATION_WARNING` The information passed is not valid.
    `static int` | `PDH_QUERY_PERF_DATA_TIMEOUT` System is busy - a time-out occurred when collecting counter data
    `static int` | `PDH_RETRY` The selected operation should be retried.
    `static int` | `PDH_SQL_ALLOC_FAILED` Call to SQLAllocStmt failed with %1.
    `static int` | `PDH_SQL_ALLOCCON_FAILED` Call to SQLAllocConnect failed with %1.
    `static int` | `PDH_SQL_ALTER_DETAIL_FAILED` Cannot alter CounterDetail table layout in SQL database.
    `static int` | `PDH_SQL_BIND_FAILED` Call to SQLBindCol failed with %1.
    `static int` | `PDH_SQL_CONNECT_FAILED` Call to SQLMoreResults failed with %1.
    `static int` | `PDH_SQL_EXEC_DIRECT_FAILED` Call to SQLExecDirect failed with %1.
    `static int` | `PDH_SQL_FETCH_FAILED` Call to SQLFetch failed with %1.
    `static int` | `PDH_SQL_ROWCOUNT_FAILED` Call to SQLRowCount failed with %1.
    `static int` | `PDH_STRING_NOT_FOUND` Unable to find the specified string in the list of performance name and help text strings.
    `static int` | `PDH_UNABLE_MAP_NAME_FILES` Unable to map to the performance counter name data files.
    `static int` | `PDH_UNABLE_READ_LOG_HEADER` The log file header could not be read.
    `static int` | `PDH_UNKNOWN_LOG_FORMAT` The format of the specified log file is not recognized by the PDH DLL.
    `static int` | `PDH_UNKNOWN_LOGSVC_COMMAND` The specified Log Service command value is not recognized.
    `static int` | `PDH_UNMATCHED_APPEND_COUNTER` Both files must have identical counters in order to append.
    `static int` | `PDH_WBEM_ERROR` An error occurred while accessing the WBEM data store.

- - ### Field Detail

    - #### PDH_CSTATUS_VALID_DATA

          static final int PDH_CSTATUS_VALID_DATA

      Returned data is valid.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NEW_DATA

          static final int PDH_CSTATUS_NEW_DATA

      Return data value is valid and different from the last sample.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NO_MACHINE

          static final int PDH_CSTATUS_NO_MACHINE

      Unable to connect to the specified computer, or the computer is offline.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NO_INSTANCE

          static final int PDH_CSTATUS_NO_INSTANCE

      The specified instance is not present.
      See Also:
        Constant Field Values

    - #### PDH_MORE_DATA

          static final int PDH_MORE_DATA

      There is more data to return than would fit in the supplied buffer. Allocate a larger buffer and call the function again.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_ITEM_NOT_VALIDATED

          static final int PDH_CSTATUS_ITEM_NOT_VALIDATED

      The data item has been added to the query but has not been validated nor accessed. No other status information on this data item is available.
      See Also:
        Constant Field Values

    - #### PDH_RETRY

          static final int PDH_RETRY

      The selected operation should be retried.
      See Also:
        Constant Field Values

    - #### PDH_NO_DATA

          static final int PDH_NO_DATA

      No data to return.
      See Also:
        Constant Field Values

    - #### PDH_CALC_NEGATIVE_DENOMINATOR

          static final int PDH_CALC_NEGATIVE_DENOMINATOR

      A counter with a negative denominator value was detected.
      See Also:
        Constant Field Values

    - #### PDH_CALC_NEGATIVE_TIMEBASE

          static final int PDH_CALC_NEGATIVE_TIMEBASE

      A counter with a negative time base value was detected.
      See Also:
        Constant Field Values

    - #### PDH_CALC_NEGATIVE_VALUE

          static final int PDH_CALC_NEGATIVE_VALUE

      A counter with a negative value was detected.
      See Also:
        Constant Field Values

    - #### PDH_DIALOG_CANCELLED

          static final int PDH_DIALOG_CANCELLED

      The user canceled the dialog box.
      See Also:
        Constant Field Values

    - #### PDH_END_OF_LOG_FILE

          static final int PDH_END_OF_LOG_FILE

      The end of the log file was reached.
      See Also:
        Constant Field Values

    - #### PDH_ASYNC_QUERY_TIMEOUT

          static final int PDH_ASYNC_QUERY_TIMEOUT

      A time-out occurred while waiting for the asynchronous counter collection thread to end.
      See Also:
        Constant Field Values

    - #### PDH_CANNOT_SET_DEFAULT_REALTIME_DATASOURCE

          static final int PDH_CANNOT_SET_DEFAULT_REALTIME_DATASOURCE

      Cannot change set default real-time data source.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NO_OBJECT

          static final int PDH_CSTATUS_NO_OBJECT

      The specified object is not found on the system.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NO_COUNTER

          static final int PDH_CSTATUS_NO_COUNTER

      The specified counter could not be found.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_INVALID_DATA

          static final int PDH_CSTATUS_INVALID_DATA

      The returned data is not valid.
      See Also:
        Constant Field Values

    - #### PDH_MEMORY_ALLOCATION_FAILURE

          static final int PDH_MEMORY_ALLOCATION_FAILURE

      A PDH function could not allocate enough temporary memory to complete the operation.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_HANDLE

          static final int PDH_INVALID_HANDLE

      The handle is not a valid PDH object.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_ARGUMENT

          static final int PDH_INVALID_ARGUMENT

      A required argument is missing or incorrect.
      See Also:
        Constant Field Values

    - #### PDH_FUNCTION_NOT_FOUND

          static final int PDH_FUNCTION_NOT_FOUND

      Unable to find the specified function.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_NO_COUNTERNAME

          static final int PDH_CSTATUS_NO_COUNTERNAME

      No counter was specified.
      See Also:
        Constant Field Values

    - #### PDH_CSTATUS_BAD_COUNTERNAME

          static final int PDH_CSTATUS_BAD_COUNTERNAME

      Unable to parse the counter path. Check the format and syntax of the specified path.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_BUFFER

          static final int PDH_INVALID_BUFFER

      The buffer passed by the caller is not valid.
      See Also:
        Constant Field Values

    - #### PDH_INSUFFICIENT_BUFFER

          static final int PDH_INSUFFICIENT_BUFFER

      The requested data is larger than the buffer supplied.
      See Also:
        Constant Field Values

    - #### PDH_CANNOT_CONNECT_MACHINE

          static final int PDH_CANNOT_CONNECT_MACHINE

      Unable to connect to the requested computer.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_PATH

          static final int PDH_INVALID_PATH

      The specified counter path could not be interpreted.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_INSTANCE

          static final int PDH_INVALID_INSTANCE

      The instance name could not be read from the specified counter path.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_DATA

          static final int PDH_INVALID_DATA

      The data is not valid.
      See Also:
        Constant Field Values

    - #### PDH_NO_DIALOG_DATA

          static final int PDH_NO_DIALOG_DATA

      The dialog box data block was missing or not valid.
      See Also:
        Constant Field Values

    - #### PDH_CANNOT_READ_NAME_STRINGS

          static final int PDH_CANNOT_READ_NAME_STRINGS

      Unable to read the counter and/or help text from the specified computer.
      See Also:
        Constant Field Values

    - #### PDH_LOG_FILE_CREATE_ERROR

          static final int PDH_LOG_FILE_CREATE_ERROR

      Unable to create the specified log file.
      See Also:
        Constant Field Values

    - #### PDH_LOG_FILE_OPEN_ERROR

          static final int PDH_LOG_FILE_OPEN_ERROR

      Unable to open the specified log file.
      See Also:
        Constant Field Values

    - #### PDH_LOG_TYPE_NOT_FOUND

          static final int PDH_LOG_TYPE_NOT_FOUND

      The specified log file type has not been installed on this system.
      See Also:
        Constant Field Values

    - #### PDH_NO_MORE_DATA

          static final int PDH_NO_MORE_DATA

      No more data is available.
      See Also:
        Constant Field Values

    - #### PDH_ENTRY_NOT_IN_LOG_FILE

          static final int PDH_ENTRY_NOT_IN_LOG_FILE

      The specified record was not found in the log file.
      See Also:
        Constant Field Values

    - #### PDH_DATA_SOURCE_IS_LOG_FILE

          static final int PDH_DATA_SOURCE_IS_LOG_FILE

      The specified data source is a log file.
      See Also:
        Constant Field Values

    - #### PDH_DATA_SOURCE_IS_REAL_TIME

          static final int PDH_DATA_SOURCE_IS_REAL_TIME

      The specified data source is the current activity.
      See Also:
        Constant Field Values

    - #### PDH_UNABLE_READ_LOG_HEADER

          static final int PDH_UNABLE_READ_LOG_HEADER

      The log file header could not be read.
      See Also:
        Constant Field Values

    - #### PDH_FILE_NOT_FOUND

          static final int PDH_FILE_NOT_FOUND

      Unable to find the specified file.
      See Also:
        Constant Field Values

    - #### PDH_FILE_ALREADY_EXISTS

          static final int PDH_FILE_ALREADY_EXISTS

      There is already a file with the specified file name.
      See Also:
        Constant Field Values

    - #### PDH_NOT_IMPLEMENTED

          static final int PDH_NOT_IMPLEMENTED

      The function referenced has not been implemented.
      See Also:
        Constant Field Values

    - #### PDH_STRING_NOT_FOUND

          static final int PDH_STRING_NOT_FOUND

      Unable to find the specified string in the list of performance name and help text strings.
      See Also:
        Constant Field Values

    - #### PDH_UNABLE_MAP_NAME_FILES

          static final int PDH_UNABLE_MAP_NAME_FILES

      Unable to map to the performance counter name data files.
      See Also:
        Constant Field Values

    - #### PDH_UNKNOWN_LOG_FORMAT

          static final int PDH_UNKNOWN_LOG_FORMAT

      The format of the specified log file is not recognized by the PDH DLL.
      See Also:
        Constant Field Values

    - #### PDH_UNKNOWN_LOGSVC_COMMAND

          static final int PDH_UNKNOWN_LOGSVC_COMMAND

      The specified Log Service command value is not recognized.
      See Also:
        Constant Field Values

    - #### PDH_LOGSVC_QUERY_NOT_FOUND

          static final int PDH_LOGSVC_QUERY_NOT_FOUND

      The specified query from the Log Service could not be found or could not be opened.
      See Also:
        Constant Field Values

    - #### PDH_LOGSVC_NOT_OPENED

          static final int PDH_LOGSVC_NOT_OPENED

      The Performance Data Log Service key could not be opened.
      See Also:
        Constant Field Values

    - #### PDH_WBEM_ERROR

          static final int PDH_WBEM_ERROR

      An error occurred while accessing the WBEM data store.
      See Also:
        Constant Field Values

    - #### PDH_ACCESS_DENIED

          static final int PDH_ACCESS_DENIED

      Unable to access the desired computer or service.
      See Also:
        Constant Field Values

    - #### PDH_LOG_FILE_TOO_SMALL

          static final int PDH_LOG_FILE_TOO_SMALL

      The maximum log file size specified is too small to log the selected counters.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_DATASOURCE

          static final int PDH_INVALID_DATASOURCE

      Cannot connect to ODBC DataSource Name.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_SQLDB

          static final int PDH_INVALID_SQLDB

      SQL Data base does not contain a valid set of tables for Perfmon.
      See Also:
        Constant Field Values

    - #### PDH_NO_COUNTERS

          static final int PDH_NO_COUNTERS

      No counters were found for this Perfmon SQL Log Set.
      See Also:
        Constant Field Values

    - #### PDH_SQL_ALLOC_FAILED

          static final int PDH_SQL_ALLOC_FAILED

      Call to SQLAllocStmt failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_ALLOCCON_FAILED

          static final int PDH_SQL_ALLOCCON_FAILED

      Call to SQLAllocConnect failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_EXEC_DIRECT_FAILED

          static final int PDH_SQL_EXEC_DIRECT_FAILED

      Call to SQLExecDirect failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_FETCH_FAILED

          static final int PDH_SQL_FETCH_FAILED

      Call to SQLFetch failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_ROWCOUNT_FAILED

          static final int PDH_SQL_ROWCOUNT_FAILED

      Call to SQLRowCount failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_CONNECT_FAILED

          static final int PDH_SQL_CONNECT_FAILED

      Call to SQLMoreResults failed with %1. public static final int PDH_SQL_MORE_RESULTS_FAILED = 0xC0000BE5; /** Call to SQLConnect failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_SQL_BIND_FAILED

          static final int PDH_SQL_BIND_FAILED

      Call to SQLBindCol failed with %1.
      See Also:
        Constant Field Values

    - #### PDH_CANNOT_CONNECT_WMI_SERVER

          static final int PDH_CANNOT_CONNECT_WMI_SERVER

      Unable to connect to the WMI server on requested computer.
      See Also:
        Constant Field Values

    - #### PDH_PLA_COLLECTION_ALREADY_RUNNING

          static final int PDH_PLA_COLLECTION_ALREADY_RUNNING

      Collection "%1!s!" is already running.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_SCHEDULE_OVERLAP

          static final int PDH_PLA_ERROR_SCHEDULE_OVERLAP

      The specified start time is after the end time.
      See Also:
        Constant Field Values

    - #### PDH_PLA_COLLECTION_NOT_FOUND

          static final int PDH_PLA_COLLECTION_NOT_FOUND

      Collection "%1!s!" does not exist.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_SCHEDULE_ELAPSED

          static final int PDH_PLA_ERROR_SCHEDULE_ELAPSED

      The specified end time has already elapsed.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_NOSTART

          static final int PDH_PLA_ERROR_NOSTART

      Collection "%1!s!" did not start; check the application event log for any errors.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_ALREADY_EXISTS

          static final int PDH_PLA_ERROR_ALREADY_EXISTS

      Collection "%1!s!" already exists.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_TYPE_MISMATCH

          static final int PDH_PLA_ERROR_TYPE_MISMATCH

      There is a mismatch in the settings type.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_FILEPATH

          static final int PDH_PLA_ERROR_FILEPATH

      The information specified does not resolve to a valid path name.
      See Also:
        Constant Field Values

    - #### PDH_PLA_SERVICE_ERROR

          static final int PDH_PLA_SERVICE_ERROR

      The "Performance Logs & Alerts" service did not respond.
      See Also:
        Constant Field Values

    - #### PDH_PLA_VALIDATION_ERROR

          static final int PDH_PLA_VALIDATION_ERROR

      The information passed is not valid.
      See Also:
        Constant Field Values

    - #### PDH_PLA_VALIDATION_WARNING

          static final int PDH_PLA_VALIDATION_WARNING

      The information passed is not valid.
      See Also:
        Constant Field Values

    - #### PDH_PLA_ERROR_NAME_TOO_LONG

          static final int PDH_PLA_ERROR_NAME_TOO_LONG

      The name supplied is too long.
      See Also:
        Constant Field Values

    - #### PDH_INVALID_SQL_LOG_FORMAT

          static final int PDH_INVALID_SQL_LOG_FORMAT

      SQL log format is incorrect. Correct format is "SQL:<DSN-name>!<LogSet-Name>".
      See Also:
        Constant Field Values

    - #### PDH_COUNTER_ALREADY_IN_QUERY

          static final int PDH_COUNTER_ALREADY_IN_QUERY

      Performance counter in PdhAddCounter call has already been added in the performance query.
      See Also:
        Constant Field Values

    - #### PDH_BINARY_LOG_CORRUPT

          static final int PDH_BINARY_LOG_CORRUPT

      Unable to read counter information and data from input binary log files.
      See Also:
        Constant Field Values

    - #### PDH_LOG_SAMPLE_TOO_SMALL

          static final int PDH_LOG_SAMPLE_TOO_SMALL

      At least one of the input binary log files contain fewer than two data samples.
      See Also:
        Constant Field Values

    - #### PDH_OS_LATER_VERSION

          static final int PDH_OS_LATER_VERSION

      The version of the operating system on the computer named %1 is later than that on the local computer.
      See Also:
        Constant Field Values

    - #### PDH_OS_EARLIER_VERSION

          static final int PDH_OS_EARLIER_VERSION

      %1 supports %2 or later. Check the operating system version on the computer named %3.
      See Also:
        Constant Field Values

    - #### PDH_INCORRECT_APPEND_TIME

          static final int PDH_INCORRECT_APPEND_TIME

      The output file must contain earlier data than the file to be appended.
      See Also:
        Constant Field Values

    - #### PDH_UNMATCHED_APPEND_COUNTER

          static final int PDH_UNMATCHED_APPEND_COUNTER

      Both files must have identical counters in order to append.
      See Also:
        Constant Field Values

    - #### PDH_SQL_ALTER_DETAIL_FAILED

          static final int PDH_SQL_ALTER_DETAIL_FAILED

      Cannot alter CounterDetail table layout in SQL database.
      See Also:
        Constant Field Values

    - #### PDH_QUERY_PERF_DATA_TIMEOUT

          static final int PDH_QUERY_PERF_DATA_TIMEOUT

      System is busy - a time-out occurred when collecting counter data
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.